Subject: Re: bug#73813: 30.0.91; icomplete-mode keymap unusable in xterm for for/backward completions

From: Van Ly <[email-masked]>
Date: Thu, 17 Oct 2024 06:30:40 +0000

Robert Pluim <[email-masked]> writes:

>
> Well yeah: youʼre telling emacsclient itʼs running in a VT100, so emacs
> never sets things up to look for the xterm-specific key sequences.
>

That is the workaround I use to experience emacsclient "--color=no".

icomplete.el lists fido in icomplete-fido-mode-map and there a control
prefix alphabetic sequence for previous/next completion is possible
consistent with fido's C-s, C-r or icomplete-vertical's C-n, C-p.

-- 
vl